﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="TP3.Views.PizzaListPage"
             Title="Liste des pizzas">
    <ContentPage.Content>
        <ListView x:Name="lstPizzas" HasUnevenRows="True" ItemTapped="lstPizzas_ItemTapped">
            <ListView.ItemTemplate>
                <DataTemplate>
                    <ViewCell>
                        <StackLayout Orientation="Horizontal" Style="{StaticResource DefaultPadding}">

                            <Image Source="{Binding EstVegetarien, Converter={StaticResource estVegetarienToImageSourceConverter}}"
                                   VerticalOptions="Center"
                                   Aspect="AspectFit"
                                   WidthRequest="100"></Image>
                            
                            <StackLayout>
                                <Label Text="{Binding Nom}" FontSize="Large"></Label>
                                <Label Text="{Binding Ingredients}" FontAttributes="Italic"></Label>
                            </StackLayout>
                            
                            <Label Text="{Binding Prix, StringFormat='{0:C2}'}" 
                                   VerticalOptions="Center"
                                   HorizontalOptions="EndAndExpand"></Label>
                        </StackLayout>
                    </ViewCell>
                </DataTemplate>
            </ListView.ItemTemplate>
        </ListView>
    </ContentPage.Content>
</ContentPage>